package com.brilliance.isc.common.whj.service;

import com.brilliance.isc.bo.Fin;
import com.brilliance.isc.bo.Fsa;
import com.brilliance.isc.bo.Trn;
import com.brilliance.isc.bo.model.Blcgrp;
import com.brilliance.isc.bo.model.Zxbgrp;
import com.brilliance.isc.esb.model.inner.InnerRes;
import com.brilliance.isc.esb.model.inner.InnerResWhj;
import com.brilliance.isc.vo.manager.UsrntfVo;

public interface WhjService {

    Blcgrp getBlcgrpByInr(String inr);

    Zxbgrp getZxbgrpByInr(String inr);

    boolean handleResult(Fin fin, Fsa fsa, String typ, InnerRes<InnerResWhj> innerRes);

    void setFsaHandType(Fsa fsa, String hndtyp);

    void lockFin(Fin fin);

    void unLockFin(Fin fin);

    void unlockAllOfTrans(String userId);

    void loanRegister(Trn trn);

    void recRegister(Trn trn);

    void loanReg_BLC(String trninr);

    void recReg_BLC(String trninr);

    void loanReg_ZXB(String trninr);

    void recReg_ZXB(String trninr);

    void sendUsrntf(UsrntfVo usrntfVo);
}
